.\"                                      Hey, EMACS: -*- nroff -*-
.\" (C) Copyright 2013 Hilko Bengen <bengen@debian.org>
.\"
.TH GOCODE 1
.SH NAME
gocode \- autocompletion daemon for the Go programming language
.SH SYNOPSIS
.B gocode
.RI [-s] [-f=<format>] [-in=<path>] [-sock=<type>] [-addr=<addr>]
       <command> [<args>]
.SH DESCRIPTION
This manual page documents briefly the
.B gocode
command.
.PP
\fBgocode\fP is an autocompletion daemon for the Go programming
language. It is intended to be integraded with a source code editor,
such as Emacs or Vim.
.SH OPTIONS
.TP
.B \-addr="localhost:37373"
Address for tcp socket
.TP
.B \-f="nice"
Output format (vim | emacs | nice | csv | json)
.TP
.B \-in=""
Use this file instead of stdin input
.TP
.B \-s=false
Run a server instead of a client
.TP
.B \-sock="unix"
socket type (unix | tcp)
.SH COMMANDS
.TP
.B autocomplete [<path>] <offset>
main autocompletion command
.TP
.B
close
close the gocode daemon
.TP
.B
status
gocode daemon status report
.TP
.B
drop-cache
drop gocode daemon's cache
.TP
.B
set [<name> [<value>]]
list or set config options
.SH AUTHOR
This manual page was written by Hilko Bengen <bengen@debian.org>, for
the Debian project (and may be used by others).
